Subject: [os2genau_digest] No. 1696
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Sun, 31 Aug 2008 00:00:37 EST-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Saturday 30 August 2008
 Number  1696
**************************************************

Subjects for today
 
1   Does SD card "lock" switch work under OS/2 : Ed Durrant <edurrant at durrant dot mine dot nu>
2  Re:  Does SD card "lock" switch work under OS/2 : John Angelico" <talldad at kepl dot com dot au>
3  Re:  Does SD card "lock" switch work under OS/2 : Dennis Nolan <dennis at jeg-og dot com>

**= Email   1 ==========================**

Date:  Sat, 30 Aug 2008 09:04:20 +1000
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:   Does SD card "lock" switch work under OS/2

Just realised something interesting on a secure Digital card that I use 
with my EeePC.

As I wanted to makew a backup of its contents, while not changing 
anything on it, I slid the "lock" slider switch to the locked position, 
put it in a SD card reader and plugged that into a USB port on my eCS 
2.0 RC3 system. I then added a normal USB memory key to another USB port 
and checked I could access everything.

When I tried to access the SD card, I got an error that the drive had 
been stopped incorrectly, so I ran Chkdsk /F on it and then was able to 
access everything file and copied (actually zipped) all the data over to 
the memory key.

It was only afterwards that it struck me that the Chkdsk should not have 
worked with the "secure" digital card in locked mode.

I don't know if the fault is with the card, the card reader or with eCS 
ignoring the the switch. I have also seen that usb keys or card readers 
that have an LED to indicate connectivity and data transfer, when the 
device is ejected, the light stays on whereas under Windoze it goes out 
to indicate it is safe to remove from the system.

Has anyone else seen either of these two issues ?

Cheers/2

Ed.
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Sat, 30 Aug 2008 15:18:31 +1000 (AEST)
From:  "John Angelico" <talldad at kepl dot com dot au>
Subject:  Re:  Does SD card "lock" switch work under OS/2

On Sat, 30 Aug 2008 09:04:20 +1000, Ed Durrant wrote:

>
>I don't know if the fault is with the card, the card reader or with eCS 
>ignoring the the switch. I have also seen that usb keys or card readers 
>that have an LED to indicate connectivity and data transfer, when the 
>device is ejected, the light stays on whereas under Windoze it goes out 
>to indicate it is safe to remove from the system.
>
>Has anyone else seen either of these two issues ?

Yes, Ed, I ir-regularly shift data between a WinXP system at work and my
beloved eCS 1.2 system at home, via a USB stick.

The Win system finds it more easily, (auto-search for removable devices, I
presume) but then I have to go through My Computer to access the drive
icon.

On eCS I have an icon in the Drives Folder to "Find USB" (command window
object CMD.EXE /c DIR F: which requires me to know which drive letter I
expect but it's way faster than the "Refresh Removable Media" icon). Then
the Drive icon appears and I am off and running.

WinXP is fiddly to eject via "Safely Remove Hardware", but it switches off
the light. With eCS it is vastly easier to RMB, type E or select Eject,
then unplug the stick as soon as the Drive icon disappears, but the light
stays on.

It's a slight irritation but it doesn't bother me too much.

Best regards
John Angelico
OS/2 SIG
os2 at melbpc dot org dot au or 
talldad at kepl dot com dot au
___________________
----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Sat, 30 Aug 2008 16:58:18 +1000
From:  Dennis Nolan <dennis at jeg-og dot com>
Subject:  Re:  Does SD card "lock" switch work under OS/2

The lock on a SD card is only a sliding tab like on a floppy drive write 
protect notch. It is not an electrical switch.
The reader should detect the position of the slider and not write if the 
switch is in the write protect mode.
I assume that the card reader is a USB device and therefore the Reader 
just sends data to and from ecs.

Regards

Dennis.

Ed Durrant wrote:
> Just realised something interesting on a secure Digital card that I use 
> with my EeePC.
> 
> As I wanted to makew a backup of its contents, while not changing 
> anything on it, I slid the "lock" slider switch to the locked position, 
> put it in a SD card reader and plugged that into a USB port on my eCS 
> 2.0 RC3 system. I then added a normal USB memory key to another USB port 
> and checked I could access everything.
> 
> 
> When I tried to access the SD card, I got an error that the drive had 
> been stopped incorrectly, so I ran Chkdsk /F on it and then was able to 
> access everything file and copied (actually zipped) all the data over to 
> the memory key.
> 
> It was only afterwards that it struck me that the Chkdsk should not have 
> worked with the "secure" digital card in locked mode.
> 
> I don't know if the fault is with the card, the card reader or with eCS 
> ignoring the the switch. I have also seen that usb keys or card readers 
> that have an LED to indicate connectivity and data transfer, when the 
> device is ejected, the light stays on whereas under Windoze it goes out 
> to indicate it is safe to remove from the system.
> 
> Has anyone else seen either of these two issues ?
> 
> Cheers/2
> 
> Ed.
 
> 
> 

----------------------------------------------------------------------------------